com.trendmicro.ds.platform.rest.api

## Interface ISessionAPI

-     @Path(value="/session")
       @Produces(value="application/json")
      public interface ISessionAPI

  Interface to the Session API.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AssumeRoleWithSAMLResponse` | `assumeRoleWithSAML(AssumeRoleWithSAMLRequest request)` Assume a role using a SAML response from an authorized identity provider.
    `DescribeSessionResponse` | `describeSession(java.lang.String sessionID)` Describe a session.
    `void` | `endSession(java.lang.String sessionID)` End a session.

- - ### Method Detail

    - #### describeSession

          @GET
          DescribeSessionResponse describeSession(@CookieParam(value="sID")
                                                       java.lang.String sessionID)
                                                throws java.lang.Exception

      Describe a session.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API or the session API.
      Returns:
        a `DescribeSessionResponse` with the session details.
      Throws:
        `java.lang.Exception`

    - #### endSession

          @DELETE
          void endSession(@CookieParam(value="sID")
                                  java.lang.String sessionID)
                           throws java.lang.Exception

      End a session.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API or the session API.
      Throws:
        `java.lang.Exception`

    - #### assumeRoleWithSAML

          @POST
          AssumeRoleWithSAMLResponse assumeRoleWithSAML(AssumeRoleWithSAMLRequest request)
                                                       throws java.lang.Exception

      Assume a role using a SAML response from an authorized identity provider.
      Parameters:
        `request` - an `AssumeRoleWithSAMLRequest` containing the SAML document, the URN for the requested identity provider, and the URN for the requested role.
      Returns:
        an `AssumeRoleWithSAMLResponse` containing a session ID that can be used in future requests.
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.